Crystal Space: iSkeletonScript Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSkeletonScript Struct Reference

Skeleton script is the interface that provides animation of a skeleton. More...

`#include <imesh/skeleton.h>`

Inheritance diagram for iSkeletonScript:

[legend]
List of all members.

## Public Member Functions
virtual iSkeletonScriptKeyFrame * | CreateFrame (const char *name)=0
| Create new key frame.
virtual size_t | FindFrameIndex (const char *name)=0
| Find key frame by name.
virtual float | GetFactor ()=0
| Get script factor.
virtual iSkeletonScriptKeyFrame * | GetFrame (size_t i)=0
| Get key frame by index.
virtual size_t | GetFramesCount ()=0
| Get number of frames in the script.
virtual bool | GetLoop ()=0
| Get script loop value.
virtual const char * | GetName () const =0
| Get script name.
virtual float | GetSpeed ()=0
| Get script speed.
virtual csTicks | GetTime ()=0
| Get script duration.
virtual void | RecalcSpline ()=0
| Recalculates spline for bones rotations.
virtual void | RemoveFrame (size_t i)=0
| Remove frame by index.
virtual void | SetFactor (float factor)=0
| Set script factor.
virtual void | SetLoop (bool loop)=0
| Set script loop value.
virtual void | SetName (const char *name)=0
| Set script name.
virtual void | SetSpeed (float speed)=0
| Set script speed (default = 1.0).
virtual void | SetTime (csTicks time)=0
| Set script duration.

## Detailed Description

Skeleton script is the interface that provides animation of a skeleton.

Definition at line 232 of file skeleton.h.

## Member Function Documentation

virtual iSkeletonScriptKeyFrame* iSkeletonScript::CreateFrame | ( | const char * | name | ) | `[pure virtual]`

Create new key frame.

virtual size_t iSkeletonScript::FindFrameIndex | ( | const char * | name | ) | `[pure virtual]`

Find key frame by name.

virtual float iSkeletonScript::GetFactor | ( |  | ) | `[pure virtual]`

Get script factor.

virtual iSkeletonScriptKeyFrame* iSkeletonScript::GetFrame | ( | size_t | i | ) | `[pure virtual]`

Get key frame by index.

virtual size_t iSkeletonScript::GetFramesCount | ( |  | ) | `[pure virtual]`

Get number of frames in the script.

virtual bool iSkeletonScript::GetLoop | ( |  | ) | `[pure virtual]`

Get script loop value.

virtual const char* iSkeletonScript::GetName | ( |  | ) | const`[pure virtual]`

Get script name.

virtual float iSkeletonScript::GetSpeed | ( |  | ) | `[pure virtual]`

Get script speed.

virtual csTicks iSkeletonScript::GetTime | ( |  | ) | `[pure virtual]`

Get script duration.

virtual void iSkeletonScript::RecalcSpline | ( |  | ) | `[pure virtual]`

Recalculates spline for bones rotations.

Needs to be called every time when new frames are added or removed.

virtual void iSkeletonScript::RemoveFrame | ( | size_t | i | ) | `[pure virtual]`

Remove frame by index.

virtual void iSkeletonScript::SetFactor | ( | float | factor | ) | `[pure virtual]`

Set script factor.

virtual void iSkeletonScript::SetLoop | ( | bool | loop | ) | `[pure virtual]`

Set script loop value.

virtual void iSkeletonScript::SetName | ( | const char * | name | ) | `[pure virtual]`

Set script name.

virtual void iSkeletonScript::SetSpeed | ( | float | speed | ) | `[pure virtual]`

Set script speed (default = 1.0).

virtual void iSkeletonScript::SetTime | ( | csTicks | time | ) | `[pure virtual]`

Set script duration.

The documentation for this struct was generated from the following file:

- imesh/skeleton.h